import { responsesmodel, droneCaseDealModel } from './model/queryModal';
import { defHttp } from '@/utils/http/axios';

enum Api {
  // complete-分页获取列表数据
  Get_LoadCaseInfoList = '/api/DroneCaseinfo/LoadCaseInfoList',
  // complete-
  Get_LoadList = '/api/Categorys/LoadList',
  // 获取数据字典明显根据分类编号
  Get_load = '/api/SysDataItemDetail/Load',
  // complete-
  // Get_OrgList = '/api/Orgs/OrgList',
  Get_OrgList = '/api/Orgs/OrgsAllTree',
  // complete-导出
  Get_ExportCaseInfoList = '/api/DroneCaseinfo/ExportCaseInfoList',

  // 图斑详情
  Get_getCaseInfo = '/api/DroneCaseinfo/GetCaseInfo',
  // 获取图斑处理流程
  Get_GetCaseFlowLog = '/api/DroneCaseinfo/GetCaseFlowLog',
  // 处理详情
  Get_GetDroneCaseDeal = '/api/DroneCaseinfo/GetDroneCaseDeal',
}

// complete-分页获取列表数据
export function fun_LoadDataBaseInfo(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_LoadCaseInfoList,
    params,
  });
}

// complete-分页获取列表数据
export function fun_LoadList(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_LoadList,
    params,
  });
}

// 获取数据字典明显根据分类编号
export function fun_load(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_load,
    params,
  });
}

// complete-分页获取列表数据
export function fun_OrgList() {
  return defHttp.get<responsesmodel>({
    url: Api.Get_OrgList,
  });
}

// complete-导出
export function fun_ExportCaseInfoList(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_ExportCaseInfoList,
    params,
  });
}

// 图斑详情
export function fun_getCaseInfo(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_getCaseInfo,
    params,
  });
}

// 处理详情
export function fun_GetCaseFlowLog(params) {
  return defHttp.get<responsesmodel>({
    url: Api.Get_GetCaseFlowLog,
    params,
  });
}

// 获取图斑处理流程
export function fun_GetDroneCaseDeal(params) {
  return defHttp.get<droneCaseDealModel>({
    url: Api.Get_GetDroneCaseDeal,
    params,
  });
}
